using Godot;

public partial class Projectile : Node3D
{
   [Export]
   public double Cooldown { get; protected set; }

   [Export]
   private float _projectileSpeed = 100f;

   public override void _Ready()
   {
      Speed = _projectileSpeed;
   }

   public float Speed { get; private set; }

   public void OnTimeToLiveTimeout()
   {
      QueueFree();
   }
}
